Subject: Re: 2.6.32 regression, hard lock

From: Robert Hancock <[email-masked]>
Date: Mon, 07 Dec 2009 21:16:00 -0600

On 12/07/2009 06:42 PM, Andy Isaacson wrote:
> On Mon, Dec 07, 2009 at 02:30:57PM -0800, Andrew Morton wrote:
>> btw, why does your kernel say "To Be Filled By O.E.M." in the traces?
>> The kernel.org kernel doesn't do that.  Is that kernel patched at all?
>
> That's traditional for DMI_PRODUCT_NAME in dodgy vendor BIOSes.  I
> routinely see it on Intel evaluation boards and less frequently on
> Taiwanese Brand X boards.

It seems like the DMI board product name would be more useful than the 
system product name to print out in those messages (for kerneloops.org 
use, etc) as the system name is so frequently populated with such dummy 
values. My Asus P7P55D has the product name set to "System Product Name" 
which obviously isn't very unique or useful. Most likely only big-name 
manufactured systems would have a chance of filling that in properly.